Messages
No examples found{
"type": "<string>",
"text": "<string>",
"is_final": true,
"customer_request_id": "<string>"
}{
"type": "<string>",
"command": "<string>"
}{
"type": "<string>",
"request_id": "<string>",
"voice_id": "<string>",
"language": "<string>",
"format": "<string>",
"sample_rate": 123,
"bit_rate": 123,
"speed": 123,
"pitch": 123,
"volume": 123
}{
"type": "<string>",
"request_id": "<string>",
"customer_request_id": "<string>",
"data": "<string>",
"is_final": true
}{
"type": "<string>",
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}Websockets
TTS Realtime
WebSocket Real-time Text-to-Speech Channel
Through this channel, clients can:
- Send initialization messages to configure voice parameters
- Send text messages for real-time speech synthesis
- Receive audio data streams
Connection:
- Authentication via header:
X-Api-Key: YOUR_API_KEY - Authentication via query:
?token=YOUR_API_KEY
Message Format:
All messages are in JSON format, containing a type field to identify the message type
WSS
/
v1
/
tts
/
realtime
Messages
No examples found{
"type": "<string>",
"text": "<string>",
"is_final": true,
"customer_request_id": "<string>"
}{
"type": "<string>",
"command": "<string>"
}{
"type": "<string>",
"request_id": "<string>",
"voice_id": "<string>",
"language": "<string>",
"format": "<string>",
"sample_rate": 123,
"bit_rate": 123,
"speed": 123,
"pitch": 123,
"volume": 123
}{
"type": "<string>",
"request_id": "<string>",
"customer_request_id": "<string>",
"data": "<string>",
"is_final": true
}{
"type": "<string>",
"error": "<string>",
"code": "<string>",
"request_id": "<string>"
}token
type:httpApiKey
API Key passed as query parameter, e.g. ?token=YOUR_API_KEY
TTS Initialization Message
type:object
TTS Text Message
type:object
TTS Command Message
type:object
TTS Ready Message
type:object
TTS Audio Message
type:object
TTS Error Message
type:object

